Bug 339081 - nash has a ton of library deps now that end up in the initrd
nash has a ton of library deps now that end up in the initrd
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-18 22:58 EDT by Ray Strode [halfline]
Modified: 2008-07-14 16:16 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-14 16:16:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray Strode [halfline] 2007-10-18 22:58:59 EDT
$ ldd nash
        linux-vdso.so.1 =>  (0x00007fff657fe000)
        libnash.so.6.0.19 => /usr/lib64/libnash.so.6.0.19 (0x00000031a0600000)
        libbdevid.so.6.0.19 => /usr/lib64/libbdevid.so.6.0.19 (0x00000031a0200000)
        libdevmapper.so.1.02 => /lib64/libdevmapper.so.1.02 (0x0000003f35a00000)
        libparted-1.8.so.6 => /usr/lib64/libparted-1.8.so.6 (0x0000003f30e00000)
        libblkid.so.1 => /lib64/libblkid.so.1 (0x0000003f32e00000)
        libselinux.so.1 => /lib64/libselinux.so.1 (0x0000003f38800000)
        libsepol.so.1 => /lib64/libsepol.so.1 (0x0000003f38000000)
        libuuid.so.1 => /lib64/libuuid.so.1 (0x0000003f30200000)
        libpopt.so.0 => /lib64/libpopt.so.0 (0x0000003f3b400000)
        libresolv.so.2 => /lib64/libresolv.so.2 (0x0000003f38c00000)
        libdl.so.2 => /lib64/libdl.so.2 (0x0000003f2fe00000)
        libdhcp.so.1 => /usr/lib64/libdhcp.so.1 (0x0000003f31200000)
        libnl.so.1 => /usr/lib64/libnl.so.1 (0x0000003f30a00000)
        libdhcp4client-3.0.6.so.0 => /usr/lib64/libdhcp4client-3.0.6.so.0
(0x0000003f31600000)
        libdhcp6client-0.10.so.0 => /usr/lib64/libdhcp6client-0.10.so.0
(0x0000003f31a00000)
        libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00000031a0a00000)
        libm.so.6 => /lib64/libm.so.6 (0x0000003f2fa00000)
        libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00000031a5400000)
        libc.so.6 => /lib64/libc.so.6 (0x0000003f2f600000)
        /lib64/ld-linux-x86-64.so.2 (0x0000003f2f200000)
        libcrypto.so.6 => /lib64/libcrypto.so.6 (0x0000003f3b000000)
        libz.so.1 => /lib64/libz.so.1 (0x0000003f30600000)


That's a lot of code to load up that won't get used before init
Comment 1 Bug Zapper 2008-05-13 23:26:28 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.